Subject: Re: What's cooking in git.git (Jul 2015, #05; Mon, 20)

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Jul 2015 22:15:04 -0700

David Turner <[email-masked]> writes:

>> * dt/refs-backend-preamble (2015-07-13) 7 commits
>>  - git-stash: use update-ref --create-reflog instead of creating files
>>  - update-ref and tag: add --create-reflog arg
>>  - refs: add REF_FORCE_CREATE_REFLOG flag
>>  - git-reflog: add exists command
>>  - refs: new public ref function: safe_create_reflog
>>  - refs: Break out check for reflog autocreation
>>  - refs.c: add err arguments to reflog functions
>> ...
>>  Still under discussion.
>> 
>>  Will hold.
>
> What's left to discuss on this one? I think the latest version addresses
> all concerns, but I'm happy to do another reroll or discuss further if
> necessary.

I think I found the series more or less ready when I saw v7, but
there was a good discussion between Michael Haggerty and you on that
round after I thought so, and then you posted the reroll (v8) which
is what is queued above.  As I was not closely following the earlier
exchange, I wanted to hear from Michael if everything is now good
with v8, which hasn't happened as far as I recall.

Also in $gmane/273828 [*1*] you hinted (but without showing a firm
commitment) that there might be a reroll coming, which was another
reason why I wasn't in a hurry to merge v8 iteration down to 'next'.

[Reference]

*1* http://thread.gmane.org/gmane.comp.version-control.git/273786/focus=273828